const Mesa = require('vendor/Mesa.js');
const ShopifyGraphql = require('vendor/ShopifyGraphql.js');
const Shopify= require('vendor/Shopify.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {
  script = (payload, context) => {
    let vars = context.steps;
    
    let query = `
      mutation updateFile($id: ID!) {
        fileUpdate(files: {id: $id, alt: "${vars.webhook['Alt Text']}"}) {
          files {
            alt
            id
            ... on MediaImage {
              image {
                url
              }
            }
          }
        }
      }
    `;

    const r = ShopifyGraphql.send(query, {
      "id": vars.webhook['File ID'],
    }, {}, 'admin/api/2023-10/graphql.json');

    Mesa.output.next({"response": r.data});
  }
}
